GDB (xrefs)

Public Attributes | List of all members
ld_info Struct Reference

## Public Attributes
ULONGEST | next
int | fd
CORE_ADDR | textorg
ULONGEST | textsize
CORE_ADDR | dataorg
ULONGEST | datasize
char * | filename
char * | member_name

## Detailed Description

Definition at line 849 of file rs6000-aix-tdep.c.

## Member Data Documentation

## ◆ dataorg

CORE_ADDR ld_info::dataorg

Definition at line 855 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

## ◆ datasize

ULONGEST ld_info::datasize

Definition at line 856 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

## ◆ fd

int ld_info::fd

Definition at line 852 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_ld_info_to_xml().

## ◆ filename

char* ld_info::filename

Definition at line 857 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

## ◆ member_name

char* ld_info::member_name

Definition at line 858 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

## ◆ next

ULONGEST ld_info::next

Definition at line 851 of file rs6000-aix-tdep.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), rs6000_aix_extract_ld_info(), and rs6000_aix_ld_info_to_xml().

## ◆ textorg

CORE_ADDR ld_info::textorg

Definition at line 853 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

## ◆ textsize

ULONGEST ld_info::textsize

Definition at line 854 of file rs6000-aix-tdep.c.

Referenced by rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/rs6000-aix-tdep.c